### Method

# GObject ParamSpec steal_qdata

#### Declaration

    gpointer
    g_param_spec_steal_qdata (
      GParamSpec* pspec,
      GQuark quark
    )

#### Description

Gets back user data pointers stored via `g_param_spec_set_qdata()` and removes the `data` from `pspec` without invoking its `destroy()` function (if any was set). Usually, calling this function is only required to update user data pointers with a destroy notifier.

#### Parameters

`quark`

  Type: `GQuark`

  A `GQuark`, naming the user data pointer.

#### Return value

Type: `gpointer`

The user data pointer set, or `NULL`.

The data is owned by the instance.
The return value can be `NULL`.